Package org.apache.qpid.proton.engine.impl

# Class StringUtils

java.lang.Object
org.apache.qpid.proton.engine.impl.StringUtils

public class StringUtils extends Object

## Constructor Summary

Constructors
Constructor
Description
`StringUtils()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`toQuotedString(Binary bin, int stringLength, boolean appendIfTruncated)`
Converts the Binary to a quoted string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StringUtils

public StringUtils()

## Method Details

### toQuotedString

public static String toQuotedString(Binary bin, int stringLength, boolean appendIfTruncated)
Converts the Binary to a quoted string.

Parameters:
  `bin` - the Binary to convert
  `stringLength` - the maximum length of stringified content (excluding the quotes, and truncated indicator)
  `appendIfTruncated` - appends "...(truncated)" if not all of the payload is present in the string
Returns:
  the converted string